## python-aiotractive 0.6.0

=== Makefile ===
lint: black isort pylint flake8

format:
	black .
	isort .

black:
	black --check .

isort:
	isort --check .

flake8:
	flake8 .

pylint:
	pylint aiotractive

dist:
	python setup.py sdist bdist_wheel
	twine check dist/*

.PHONY: black isort flake8 pylint lint format dist

=== debian/changelog ===
python-aiotractive (0.6.0-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2024 16:09:21 +0200

python-aiotractive (0.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1079932)

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Aug 2024 19:19:36 +0200

=== debian/control ===
Source: python-aiotractive
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp,
 python3-yarl,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aiotractive
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aiotractive.git
Homepage: https://github.com/zhulik/aiotractive

Package: python3-aiotractive
Architecture: all
Depends:
 python3-aiohttp,
 python3-yarl,
 ${misc:Depends},
 ${python3:Depends},
Description: asynchronous Python client for the Tractive REST API
 Unofficial, asynchronous, Python client for the Tractive
 (https://tractive.com) REST API.
 .
 This project and it's author are not affilated with Tractive GmbH. This
 project is a result of reverse engineering of the Tractive web app.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/zhulik/aiotractive.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" https://github.com/zhulik/aiotractive refs/tags/(\d[brc\d\.]+)
